eval1/config/routes.rb
Eval1::Application.routes.draw do
  resources :secures

  resources :safenvs

  resources :queries

  

end

eval1/app/models/query.rb
class Query < ActiveRecord::Base
end

eval1/app/models/safenv.rb
class Safenv < ActiveRecord::Base
end

eval1/app/models/secure.rb
class Secure < ActiveRecord::Base
end

eval1/app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

eval1/app/controllers/queries_controller.rb
class QueriesController < ApplicationController
  before_action :set_query, only: [:show, :edit, :update, :destroy]

  # GET /queries
  # GET /queries.json
  def index
    @queries = Query.all
  end

  # GET /queries/1
  # GET /queries/1.json
  def show
  end

  # GET /queries/new
  def new
    @query = Query.new
  end

  # GET /queries/1/edit
  def edit
  end

  # POST /queries
  # POST /queries.json
  def create
    @query = Query.new(query_params)

    respond_to do |format|
      if @query.save
        format.html { redirect_to @query, notice: 'Query was successfully created.' }
        format.json { render action: 'show', status: :created, location: @query }
      else
        format.html { render action: 'new' }
        format.json { render json: @query.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /queries/1
  # PATCH/PUT /queries/1.json
  def update
    respond_to do |format|
      if @query.update(query_params)
        format.html { redirect_to @query, notice: 'Query was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: 'edit' }
        format.json { render json: @query.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /queries/1
  # DELETE /queries/1.json
  def destroy
    @query.destroy
    respond_to do |format|
      format.html { redirect_to queries_url }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_query
      @query = Query.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def query_params
      params.require(:query).permit(:sql)
    end
end

eval1/app/controllers/safenvs_controller.rb
class SafenvsController < ApplicationController
  before_action :set_safenv, only: [:show, :edit, :update, :destroy]

  # GET /safenvs
  # GET /safenvs.json
  def index
    @safenvs = Safenv.all
  end

  # GET /safenvs/1
  # GET /safenvs/1.json
  def show
  end

  # GET /safenvs/new
  def new
    @safenv = Safenv.new
  end

  # GET /safenvs/1/edit
  def edit
  end

  # POST /safenvs
  # POST /safenvs.json
  def create
    @safenv = Safenv.new(safenv_params)

    respond_to do |format|
      if @safenv.save
        format.html { redirect_to @safenv, notice: 'Safenv was successfully created.' }
        format.json { render action: 'show', status: :created, location: @safenv }
      else
        format.html { render action: 'new' }
        format.json { render json: @safenv.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /safenvs/1
  # PATCH/PUT /safenvs/1.json
  def update
    respond_to do |format|
      if @safenv.update(safenv_params)
        format.html { redirect_to @safenv, notice: 'Safenv was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: 'edit' }
        format.json { render json: @safenv.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /safenvs/1
  # DELETE /safenvs/1.json
  def destroy
    @safenv.destroy
    respond_to do |format|
      format.html { redirect_to safenvs_url }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_safenv
      @safenv = Safenv.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def safenv_params
      params.require(:safenv).permit(:dbname, :rwrite, :schema_hash, :tables_hash)
    end
end

eval1/app/controllers/secures_controller.rb
class SecuresController < ApplicationController
  before_action :set_secure, only: [:show, :edit, :update, :destroy]

  # GET /secures
  # GET /secures.json
  def index
    @secures = Secure.all
  end

  # GET /secures/1
  # GET /secures/1.json
  def show
  end

  # GET /secures/new
  def new
    @secure = Secure.new
  end

  # GET /secures/1/edit
  def edit
  end

  # POST /secures
  # POST /secures.json
  def create
    @secure = Secure.new(secure_params)

    respond_to do |format|
      if @secure.save
        format.html { redirect_to @secure, notice: 'Secure was successfully created.' }
        format.json { render action: 'show', status: :created, location: @secure }
      else
        format.html { render action: 'new' }
        format.json { render json: @secure.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /secures/1
  # PATCH/PUT /secures/1.json
  def update
    respond_to do |format|
      if @secure.update(secure_params)
        format.html { redirect_to @secure, notice: 'Secure was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: 'edit' }
        format.json { render json: @secure.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /secures/1
  # DELETE /secures/1.json
  def destroy
    @secure.destroy
    respond_to do |format|
      format.html { redirect_to secures_url }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_secure
      @secure = Secure.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def secure_params
      params.require(:secure).permit(:status, :what, :where)
    end
end

eval1/app/helpers/application_helper.rb
module ApplicationHelper
end

eval1/app/helpers/queries_helper.rb
module QueriesHelper
end

eval1/app/helpers/query_helper.rb
module QueryHelper
end

eval1/app/helpers/safenvs_helper.rb
module SafenvsHelper
end

eval1/app/helpers/secures_helper.rb
module SecuresHelper
end

eval1/app/views/safenvs/_form.html.erb
<%= form_for(@safenv) do |f| %>
  <% if @safenv.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@safenv.errors.count, "error") %> prohibited this safenv from being saved:</h2>

      <ul>
      <% @safenv.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :dbname %><br>
    <%= f.text_field :dbname %>
  </div>
  <div class="field">
    <%= f.label :rwrite %><br>
    <%= f.text_field :rwrite %>
  </div>
  <div class="field">
    <%= f.label :schema_hash %><br>
    <%= f.text_field :schema_hash %>
  </div>
  <div class="field">
    <%= f.label :tables_hash %><br>
    <%= f.text_field :tables_hash %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

eval1/app/views/safenvs/edit.html.erb
<h1>Editing safenv</h1>

<%= render 'form' %>

<%= link_to 'Show', @safenv %> |
<%= link_to 'Back', safenvs_path %>

eval1/app/views/safenvs/index.html.erb
<h1>Listing safenvs</h1>

<table>
  <thead>
    <tr>
      <th>Dbname</th>
      <th>Rwrite</th>
      <th>Schema hash</th>
      <th>Tables hash</th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @safenvs.each do |safenv| %>
      <tr>
        <td><%= safenv.dbname %></td>
        <td><%= safenv.rwrite %></td>
        <td><%= safenv.schema_hash %></td>
        <td><%= safenv.tables_hash %></td>
        <td><%= link_to 'Show', safenv %></td>
        <td><%= link_to 'Edit', edit_safenv_path(safenv) %></td>
        <td><%= link_to 'Destroy', safenv, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Safenv', new_safenv_path %>

eval1/app/views/safenvs/new.html.erb
<h1>New safenv</h1>

<%= render 'form' %>

<%= link_to 'Back', safenvs_path %>

eval1/app/views/safenvs/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Dbname:</strong>
  <%= @safenv.dbname %>
</p>

<p>
  <strong>Rwrite:</strong>
  <%= @safenv.rwrite %>
</p>

<p>
  <strong>Schema hash:</strong>
  <%= @safenv.schema_hash %>
</p>

<p>
  <strong>Tables hash:</strong>
  <%= @safenv.tables_hash %>
</p>

<%= link_to 'Edit', edit_safenv_path(@safenv) %> |
<%= link_to 'Back', safenvs_path %>